Quicken has released Quicken 2015 for Mac, replacing the limited Quicken Essentials version that came out four years ago. Historical notes: Quicken 2007 for Mac required Rosetta, and Apple removed Rosetta when OS X 10.7 was released. Quicken 2015 for Mac requires OS X 10.7 or higher.

Although Quicken 2015 for Mac doesn’t have all the same features as the Windows version, they are allowing users to vote on the features they most want added at: http://www.quicken.com/mac/compare